{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.officeSuite {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Bureautique
    aspell aspellDicts.fr # correction d'ortographe

    # Gestion de tâche
    taskwarrior     # gestionnaire de tâches en console

    ## Convertisseurs (texte -> <autre format>)
    gnuplot       # générateur de graphes à partir de données numériques
    graphviz      # dot, neato : traçage de graphes (carré, rond)
    #jekyll       # générateur statique de site web
    #odpdown      # conversion md -> presentation ODP : https://github.com/thorstenb/odpdown
    pandoc
    haskellPackages.pandoc-citeproc
    texlive.combined.scheme-full # distribution LaTeX
    #texLive       # distribution LaTeX de base
    #texLiveBeamer # paquets et extensions pour Beamer
    #texLiveModerncv # paquets pour la classe Modern CV
  ];
}
