{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # installées systématiquement
    ./default-applications.nix

    # commandées par config-generator
    ## option de configuration spécifique
    ./cao.nix                   # de conception assisté par ordinateur & modélisation
    ./cartographie.nix          # manipuler les données géographiques & cartes
    ./developpement.nix         # développer des programmes/scripts
    ./developpement-elm.nix     # développer en elm
    ./developpement-haskell.nix # développer en haskell
    ./developpement-java.nix    # développer en java
    ./developpement-jetbrains.nix # outils jetbrains
    ./developpement-rust.nix    # développer en rust
    ./edition-musique.nix       # modifier les fichiers musicaux
    ./edition-photo.nix         # modifier les photos & assimilé
    ./edition-video.nix         # modifier les vidéos
    ./jeux.nix                  # jouer, tout simplement ;)

    ## if isDesktop
    ./adminsys.nix              # pour gérer le système dans son ensemble et les services
    ./bureau.nix                # éléments pour avoir un environement graphique minimal utilisable
    ./bureautique.nix           # dédiée à la bureautique (traitement de texte, dessin, ...)
    ./client-internet.nix       # pour accéder & utiliser des ressources par le réseau
    ./multimedia.nix            # pour gérer le son, l'image et la vidéo
    ./network.nix               # de gestion, de diagnostique & surveillance réseau
    ./securite.nix              # relatives à la sécurité (chiffrement, gpg, mots de passe, ...)
  ];
}
