{ config, lib, pkgs, ... }:

let
  #inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

{
  imports = [
    # moulinette de configuration
    ./config-generator.nix
    ./options.nix

    # subfolders
    ./applications/graphical/default.nix
    ./applications/terminal/default.nix
    ./configuration/default.nix
    ./services/default.nix
  ];
}
