{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf true {

  # Paquets
  environment.systemPackages = with pkgs; [
    # Adminsys
    cowsay        # pour ansible & 4lulz
    iotop
    lm_sensors
    lshw
    lsof
    ntp
    powerline-fonts
    powertop
    python27Packages.ansible2
    python27Packages.glances
    sysstat       # pour la commande "iostat -x -1" de monitoring d'activité disque
    usbutils

    # Backup
    duplicity     # création de sauvegarde chiffrées (GPG)

    # Compression
    lz4
    lzop

    # Système de fichier
    ## Montage de filesystem
    curlftpfs     # ftp
    exfat         # Pour monter les FAT avec Fuse
    hubicfuse     # montage hubic
    ntfs3g        # ntfs
    samba         # partages windows
    squashfsTools # squashfs
    sshfsFuse     # ssh

    ## Gestion de FS
    nfs-utils

    ## Exploitation FS
    inotify-tools # être notifié lorsque le contenu d'un répertoire change
    detox			# The detox utility renames files to make them easier to work with.
    duff          # outil de recherche de fichiers en doublons
    rdfind        # recherche de fichiers doublons pour remplacement par hard/soft link
  ];
}
